<?php

/**
 * Typography Setting
 *
 * @package moving_truck_rental
 */

// Typography Setting
$wp_customize->add_section(
    'moving_truck_rental_typography_setting',
    array(
        'panel' => 'moving_truck_rental_theme_options',
        'title' => esc_html__( 'Typography Setting', 'moving-truck-rental' ),
    )
);

$wp_customize->add_setting(
    'moving_truck_rental_site_title_font',
    array(
        'default'           => 'Inter',
        'sanitize_callback' => 'moving_truck_rental_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'moving_truck_rental_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'moving-truck-rental' ),
        'section'  => 'moving_truck_rental_typography_setting',
        'settings' => 'moving_truck_rental_site_title_font',
        'type'     => 'select',
        'choices'  => moving_truck_rental_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'moving_truck_rental_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'moving_truck_rental_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'moving-truck-rental' ),
		'section'  => 'moving_truck_rental_typography_setting',
		'settings' => 'moving_truck_rental_site_description_font',
		'type'     => 'select',
		'choices'  => moving_truck_rental_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'moving_truck_rental_header_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'moving_truck_rental_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'moving-truck-rental' ),
		'section'  => 'moving_truck_rental_typography_setting',
		'settings' => 'moving_truck_rental_header_font',
		'type'     => 'select',
		'choices'  => moving_truck_rental_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'moving_truck_rental_content_font',
	array(
		'default'           => 'Work Sans',
		'sanitize_callback' => 'moving_truck_rental_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'moving_truck_rental_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'moving-truck-rental' ),
		'section'  => 'moving_truck_rental_typography_setting',
		'settings' => 'moving_truck_rental_content_font',
		'type'     => 'select',
		'choices'  => moving_truck_rental_get_all_google_font_families(),
	)
);
